From: Irfan S <[email-masked]>
Date: Tue, 13 Jul 2021 10:15:17 +0530

I did test building some dependents of mesa with libglvnd. 
libepoxy, in particular, needed the change that Maxime points out 
will affect some 20 or so other packages as well. With that made, 
I was able to build and boot into a functioning graphical 
environment on xorg-server. I can work on patching all packages 
that look for libgl.so/libegl.so from mesa to use libglvnd 
instead, as Maxime suggested. But I agree with John that getting 
an updated mesa, with or without libglvnd, into core-updates now 
would be preferable than being delayed to the next freeze cycle. 
If that is a concern, then maybe this patch can be pushed as is.

Cheers,
Irfan